# Administration Reference

## kadb_check

Purpose

Checks the integrity of the Authentication Database

Synopsis

    kadb_check -database <kadb_file>  [-uheader]  [-kheader]  [-entries]
               [-verbose]  [-rebuild <out_file>]  [-help]

    kadb_check -d <kadb_file>  [-u]  [-k]  [-e]  [-v]  [-r <out_file>]  [-h]

Description

The kadb_check command checks the integrity of the Protection Database, reporting any errors or corruption it finds. If there are problems, do not issue any kas commands until the database is repaired.

Cautions

The results can be unpredictable if the Authentication Server makes changes to the Authentication Database while this command is running. Use the bos shutdown command to shutdown the local kaserver process before running this command, or before creating a second copy of the kaserver.DB0 file (with a different name) on which to run the command.

Options

-database
  Names the Authentication Database (copy of the kaserver.DB0 file) to check. If the current working directory is not the location of the file, provide a pathname, either full or relative to the current working directory.

-uheader
  Displays information which Ubik maintains in the database's header.

-kheader
  Displays information which the Authentication Server maintains in the database's header.

-entries
  Outputs every entry in the database, providing information similar to that returned by the kas examine command.

-verbose
  Reports additional information about the database, including the number of free (allocated but unused) entries in the database.

-rebuild
  Names the file in which to record a list of kas commands which, if issued in the command shell, recreate the current state of the database being verified. Partial pathnames are interpreted relative to the current working directory.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

If there are errors in the database, the output always reports them on the standard error stream. If any options other than -database or -help are provided, the output written to the standard output stream includes additional information as described for each option in the preceding Options section of this reference page. The output is intended for debugging purposes and is meaningful to someone familiar with the internal structure of the Authentication Database.

Privilege Required

The issuer must be logged in as the local superuser root.

Related Information

kaserver.DB0 and kaserver.DBSYS1

bos shutdown

kas examine

kaserver

© IBM Corporation 2000. All Rights Reserved